Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLCall

`java.lang.Object
DatasourceCall
oracle.toplink.sdk.AbstractSDKCall
oracle.toplink.xml.XMLCall`

All Implemented Interfaces:
  Call, java.lang.Cloneable, SDKCall, java.io.Serializable

Direct Known Subclasses:
  XMLDataCall, XMLDeleteCall, XMLDoesExistCall, XMLReadAllCall, XMLReadCall, XMLWriteCall

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public abstract class XMLCall
extends AbstractSDKCall

`XMLCall` does not do much. But it does provide a number of convenience methods for its assorted subclasses and begins the transition from database "fields" to XML "elements". It also provides for a stream policy that supplies the necessary streams for reading and writing XML documents.

Subclasses are still required to implement `#execute(DatabaseRow, Accessor)`.

Since:
  TOPLink/Java 3.0
See Also:
  `SDKQueryMechanism`, `XMLAccessorStreamPolicy`, `DefaultXMLTranslator`, `DatabaseQuery`, Serialized Form

Method Summary
`XMLStreamPolicy` | `getStreamPolicy()` Deprecated. Return the stream policy.
`XMLTranslator` | `getXMLTranslator()` Deprecated. Return the XML translator.
`void` | `setFile(java.io.File file)` Deprecated. Set the file to be wrapped by the stream.
`void` | `setFile(java.io.File zipFile, java.lang.String zipEntryName)` Deprecated. Set the file to be wrapped by the stream.
`void` | `setFileName(java.lang.String fileName)` Deprecated. Set the file to be wrapped by the stream.
`void` | `setFileName(java.lang.String zipFileName, java.lang.String zipEntryName)` Deprecated. Set the file to be wrapped by the stream.
`void` | `setFiles(java.util.Enumeration files)` Deprecated. Set the files to be wrapped by the streams.
`void` | `setFiles(java.io.File zipFile, java.util.Enumeration zipEntryNames)` Deprecated. Set the files to be wrapped by the stream.
`void` | `setReader(java.io.Reader reader)` Deprecated. Set the stream.
`void` | `setReaders(java.util.Enumeration readers)` Deprecated. Set the read streams.
`void` | `setStreamPolicy(XMLStreamPolicy streamPolicy)` Deprecated. Set the stream policy.
`void` | `setWriter(java.io.Writer writer)` Deprecated. Set the stream.
`void` | `setXMLTranslator(XMLTranslator xmlTranslator)` Deprecated. Set the XML translator.

Methods inherited from class oracle.toplink.sdk.AbstractSDKCall
`addReadTranslation, addReadTranslations, addReadTranslations, addWriteTranslation, addWriteTranslations, addWriteTranslations, buildDefaultTranslator, buildNewQueryMechanism, buildQueryMechanism, getFieldTranslator, getLogString, isFinished, setFieldTranslator, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.toplink.sdk.SDKCall
`execute`

Method Detail

### getStreamPolicy

    public XMLStreamPolicy getStreamPolicy()

  Deprecated.
  Return the stream policy.

### getXMLTranslator

    public XMLTranslator getXMLTranslator()

  Deprecated.
  Return the XML translator.

### setFile

    public void setFile(java.io.File file)

  Deprecated.
  Set the file to be wrapped by the stream.

### setFile

    public void setFile(java.io.File zipFile,
                        java.lang.String zipEntryName)

  Deprecated.
  Set the file to be wrapped by the stream.

### setFileName

    public void setFileName(java.lang.String fileName)

  Deprecated.
  Set the file to be wrapped by the stream.

### setFileName

    public void setFileName(java.lang.String zipFileName,
                            java.lang.String zipEntryName)

  Deprecated.
  Set the file to be wrapped by the stream.

### setFiles

    public void setFiles(java.util.Enumeration files)

  Deprecated.
  Set the files to be wrapped by the streams.

### setFiles

    public void setFiles(java.io.File zipFile,
                         java.util.Enumeration zipEntryNames)

  Deprecated.
  Set the files to be wrapped by the stream.

### setReader

    public void setReader(java.io.Reader reader)

  Deprecated.
  Set the stream.

### setReaders

    public void setReaders(java.util.Enumeration readers)

  Deprecated.
  Set the read streams.

### setWriter

    public void setWriter(java.io.Writer writer)

  Deprecated.
  Set the stream.

### setStreamPolicy

    public void setStreamPolicy(XMLStreamPolicy streamPolicy)

  Deprecated.
  Set the stream policy.

### setXMLTranslator

    public void setXMLTranslator(XMLTranslator xmlTranslator)

  Deprecated.
  Set the XML translator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD